package com.bocloud.cmp.model.fusionsphere;

public class FusionSphereMonitorModel {

    private String urn; //对象标识，必选
    private String metricId; //指标标识，必选
    private String startTime; //开始时间，时间戳（距离1970 年 1 月 1 日（00:00:00 GMT）以来的秒数）。必选
    private String endTime; //结束时间，时间戳。必选
    // 1 month=30 day  1 year=365 day
    private String interval; //时间粒度，必选 60/ 300/1800/3600/86400/604800/2592000/31536000   含义：60second/5minute/30minute/1hour/1day/1week1 month/1 year

    public String getUrn() {
        return urn;
    }

    public void setUrn(String urn) {
        this.urn = urn;
    }

    public String getMetricId() {
        return metricId;
    }

    public void setMetricId(String metricId) {
        this.metricId = metricId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getInterval() {
        return interval;
    }

    public void setInterval(String interval) {
        this.interval = interval;
    }
}
